//
//  MeetViewController.m
//  MXMeetSample
//
//  Created by KenYu on 7/8/14.
//  Copyright (c) 2014 Moxtra. All rights reserved.
//

#import "MeetViewController.h"
#import "Moxtra.h"

@interface MeetViewController ()

@end

@implementation MeetViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    // Add a start meet button for testing
    self.navigationItem.rightBarButtonItems = [NSArray arrayWithObjects:[[UIBarButtonItem alloc] initWithTitle:@"Start Meet" style:UIBarButtonItemStyleBordered target:self action:@selector(startMeet:)],nil];
	
	// Add a web view for testing
	CGRect frame = CGRectInset(self.view.bounds, 2, 2);
	UIWebView *webView = [[UIWebView alloc] initWithFrame:frame];
	webView.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth;
	webView.scalesPageToFit = TRUE;
	[self.view addSubview:webView];
	[webView loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:@"http://www.google.com"]]];
}

- (void)startMeet:(id)sender
{
    if ([[Moxtra sharedClient] isMeetStarted])
		return;
    
    [[Moxtra sharedClient] startMeet:@"Moxtra Meet" withDelegate:nil inviteAttendeesBlock:nil success:^(NSString *meetID) {
        NSLog(@"Start meet success with MeetID [%@]", meetID);
    } failure:^(NSError *error) {
        NSLog(@"Start meet failed, %@", [NSString stringWithFormat:@"error code [%d] description: [%@] info [%@]", [error code], [error localizedDescription], [[error userInfo] description]]);
    }];
}

@end
